(function() {
    var TileFixtureFactory = require("mycompany/tutorial/tile/testing/TileFixtureFactory");
    var GwtTestRunner = require("caplin/testing/GwtTestRunner");
    GwtTestRunner.initialize();

    describe("Tile acceptance criteria", function(){
        fixtures(TileFixtureFactory);

        /** Test 1 **/
        /*
        it("starts tile in initial state", function(){
            given("tile.opened = true");
            then("tile.model.currencyPair = 'GBPUSD'");
                and("tile.model.dealtCurrency = 'GBP'");
                and("tile.model.amount = '50000'");
                and("tile.model.buyRate = '2.22'");
                and("tile.model.sellRate = '1.11'");
                and("tile.model.message = ''");
        });
        */

        /** Add the rest of the acceptance tests here. */

    });
})();
